#include <hipc.h>               /* This line must be here to let the IDE know that HIPC is in use. */

#include "CFGled.h"
#include "hipcsvs_led.h"

#define LED_PIN 13

void hipcsvsLedUpdate(struct STRUprm *prm_p)
{
    digitalWrite(LED_PIN, prm_p->led);

    return;
}

void setup()
{
    pinMode(LED_PIN, OUTPUT);
}

void loop()
{
    digitalWrite(LED_PIN, LOW);
    Serial.begin(9600);

    hipcsvsLedInit();
    hipcMain(NULL);

    Serial.flush();
    Serial.end();
    delay(1000);
} 
