#include <unistd.h>

#include <errno.h>
#include <stdio.h>

#include <hipc/posix/usoc.h>

#include "CFGled.h"
#include "hipcsvs_led.h"

void hipcsvsLedUpdate(struct STRUprm *prm_p)
{
    fprintf(stderr, "led:%d\n", prm_p->led);

    return;
}

int main(void)
{
    struct HIPC_usoc usoc;

    hipcsvsLedInit();
    hipcPosixUsocInit(&usoc, STDIN_FILENO, STDOUT_FILENO);
    hipcMain(&usoc);

    if (0 != errno) {
        perror("Error message from perror()");
        fprintf(stderr, "errno: %d\n", errno);
    }
    fprintf(stderr, "end\n");

    return 0;
}
