#ifndef HIPC_USOCUTILS_H
#define HIPC_USOCUTILS_H

#include <hipc/msgd.h>
#include <hipc/scfg.h>

#ifdef __cplusplus
extern "C" {
#endif

    extern enum HIPC_errno
     hipcUsocWriteMsgd(struct HIPC_usoc *const so_p,
                       hipc_msgd const *const md_p);
    extern enum HIPC_errno
     hipcUsocAccept(struct HIPC_usoc *const so_p,
                    const struct HIPC_scfg * *const cfg_pp,
                    const struct HIPC_scfg *const *const cfg_ary,
                    const unsigned int n_cfg,
                    unsigned char *const buf, size_t buf_size);
    extern enum HIPC_errno
     hipcUsocAcceptSimple(struct HIPC_usoc *const so_p,
                          const struct HIPC_scfg *const cfg_p);

#ifdef __cplusplus
}
#endif
#endif
