/*
 * cfgid: "CID_MOCK2"
 * datetime: 2015-06-24T07:12:58+09:00
 * hexdigest: 120ce2226b6a60b380c8b17c5be1833692cbfd7dc18cf579606f511b6d738467e09820b5e9c8fa87eec1893549f84dfe2b7e33af3f00e48dae74fd6220c742aa
 */
#include <hipc/client.h>
#include "cfgmock2.h"
#include "cfgmock2_ccfg.h"


const struct HIPC_cl_indp_mbr HIPCUD_cfgmock2_CCFG_indp_member_MOCK2S1[] = {
    {HIPC_MBR_SIMPLE, "m1"},
};

const struct HIPC_cl_indp_mbr HIPCUD_cfgmock2_CCFG_indp_member_MOCK2S2[] = {
    {HIPC_MBR_SIMPLE, "m1"},
    {HIPC_MBR_SIMPLE, "m2"},
};

const struct HIPC_cl_indp_stru HIPCUD_cfgmock2_CCFG_indp_struct[] = {
    {1, "MOCK2S1", HIPCUD_cfgmock2_CCFG_indp_member_MOCK2S1},
    {2, "MOCK2S2", HIPCUD_cfgmock2_CCFG_indp_member_MOCK2S2},
};

unsigned char HIPCUD_cfgmock2_CCFG_cfgid[9] =
    {67,73,68,95,77,79,67,75,50};

const struct HIPC_cl_indp HIPCUD_cfgmock2_CCFG_indp = {
    HIPCUD_cfgmock2_CCFG_cfgid, 9,
    5, 2, HIPCUD_cfgmock2_CCFG_indp_struct
};


unsigned char HIPCUD_cfgmock2_CCFG_lmdp_MOCK2S1_offset[] = {
    offsetof(struct MOCK2S1, m1),
};
unsigned char HIPCUD_cfgmock2_CCFG_lmdp_MOCK2S1_size[] = {
    sizeof(char),
};

unsigned char HIPCUD_cfgmock2_CCFG_lmdp_MOCK2S2_offset[] = {
    offsetof(struct MOCK2S2, m1),
    offsetof(struct MOCK2S2, m2),
};
unsigned char HIPCUD_cfgmock2_CCFG_lmdp_MOCK2S2_size[] = {
    sizeof(char),
    sizeof(int),
};

struct HIPC_cl_dp_stru HIPCUD_cfgmock2_CCFG_lmdp_struct[] = {
    {HIPCUD_cfgmock2_CCFG_lmdp_MOCK2S1_offset, HIPCUD_cfgmock2_CCFG_lmdp_MOCK2S1_size},
    {HIPCUD_cfgmock2_CCFG_lmdp_MOCK2S2_offset, HIPCUD_cfgmock2_CCFG_lmdp_MOCK2S2_size},
};

unsigned char HIPCUD_cfgmock2_CCFG_structsizes[] = {
    sizeof(struct MOCK2S1),
    sizeof(struct MOCK2S2),
};

struct HIPC_cl_dp HIPCUD_cfgmock2_CCFG_lmdp =
    {'\0', HIPCUD_cfgmock2_CCFG_structsizes, HIPCUD_cfgmock2_CCFG_lmdp_struct};


const struct HIPC_client HIPCUD_cfgmock2_CCFG = {
    0,
    &HIPCUD_cfgmock2_CCFG_indp,
    &HIPCUD_cfgmock2_CCFG_lmdp,
};
